Skip to content
Start here

List DEX Rules

GET/accounts/{account_id}/dex/rules

List DEX Rules

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
Path ParametersExpand Collapse
account_id: optional string
maxLength32
Query ParametersExpand Collapse
page: number

Page number of paginated results

minimum1
per_page: number

Number of items per page

maximum50
minimum1
name: optional string

Filter results by rule name

sort_by: optional "name" or "created_at" or "updated_at"

Which property to sort results by

One of the following:
"name"
"created_at"
"updated_at"
sort_order: optional "ASC" or "DESC"

Sort direction for sort_by property

One of the following:
"ASC"
"DESC"
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional object { rules }
rules: optional array of object { id, created_at, match, 4 more }
id: string

API Resource UUID tag.

maxLength36
created_at: string
match: string
name: string
description: optional string
targeted_tests: optional array of object { data, enabled, name, test_id }
data: object { host, kind, method }

The configuration object which contains the details for the WARP client to conduct the test.

host: string

The desired endpoint to test.

kind: "http" or "traceroute"

The type of test.

One of the following:
"http"
"traceroute"
method: optional "GET"

The HTTP request method type.

enabled: boolean
name: string
test_id: string
updated_at: optional string
result_info: optional object { count, page, per_page, 2 more }
count: optional number

Total number of results for the requested service.

page: optional number

Current page within paginated list of results.

per_page: optional number

Number of results per page of results.

total_count: optional number

Total results available without any search parameters.

total_pages: optional number

The number of total pages in the entire result set.

List DEX Rules

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/dex/rules \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created_at": "2023-07-16 15:00:00+00",
        "match": "match",
        "name": "name",
        "description": "description",
        "targeted_tests": [
          {
            "data": {
              "host": "https://dash.cloudflare.com",
              "kind": "http",
              "method": "GET"
            },
            "enabled": true,
            "name": "name",
            "test_id": "test_id"
          }
        ],
        "updated_at": "2023-07-16 15:00:00+00"
      }
    ]
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created_at": "2023-07-16 15:00:00+00",
        "match": "match",
        "name": "name",
        "description": "description",
        "targeted_tests": [
          {
            "data": {
              "host": "https://dash.cloudflare.com",
              "kind": "http",
              "method": "GET"
            },
            "enabled": true,
            "name": "name",
            "test_id": "test_id"
          }
        ],
        "updated_at": "2023-07-16 15:00:00+00"
      }
    ]
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}